package dk.miracle.stockquote;

import javax.inject.Inject;

import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

import dk.miracle.stockquote.servicegen.StockQuoteSoap;
import dk.miracle.stockquote.vo.StockInfo;

@Service(StockQuoteService.class)
public class StockQuoteServiceBean implements StockQuoteService {

	@Inject @Reference
	StockQuoteSoap stockQuoteService;
	
	@Override
	public String isAlive() {
		return "dong";
	}
	
	@Override
	public StockInfo getStockQuote(String symbol) {
		String quote = stockQuoteService.GetQuote(symbol);
		System.out.println("StockQuote : "+quote);
		return new StockInfo().setQuote(quote);
	}

	@Override
	public String setStockQuote(StockInfo stockInfo) {
		System.out.println("Unable to update StockQuotes - That would be marked manipulation of the worst kind ;-)");
		System.out.println("Stock symbol :"+stockInfo.getSymbol());
		System.out.println("Stock info :"+stockInfo.getQuote());
		return "Tsk, tsk...";
		
	}
}

