package dk.miracle.stockquote;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;

import dk.miracle.stockquote.vo.StockInfo;

@Path("stocks")
public interface StockResource {

	@GET
	@Path("quote/{symbol}")
	@Produces({"application/json"})
	public StockInfo getStockQuote(@PathParam("symbol") final String symbol);
	
	@GET
	@Path("quote/{symbol}/{quote}")
	@Produces({"application/json"})
	public String setStockQuote(@PathParam("symbol") final String symbol, @PathParam("quote") final String quote);
	
	@GET
	@Path("/ding")
	public String isAlive();
}
